Summary: 		The GNU shar utilities for packaging and unpackaging shell archives.
Name: 			sharutils-devel
Version: 		4.2.1
Release: 		1
License: 		GPL
Group: 			Development
Source: 		ftp://prep.ai.mit.edu/pub/gnu/sharutils/sharutils-%{version}.tar.gz
Patch1: 		sharutils-4.2-gmo.patch
Patch2:			sharutils-4.2-man.patch
Patch3: 		sharutils-4.2-po.patch
Patch4: 		sharutils-4.2-share.patch
Patch5: 		sharutils-4.2-uudecode.patch
Patch6: 		sharutils-4.2.1-mktemp.patch
Patch7: 		sharutils-4.2.1-uudecode.patch
Patch8: 		sharutils-opto.dif
Patch9: 		sharutils.patch
Buildroot: 		%{_tmppath}/%{name}-root
Provides:		sharutils

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through e-mail (which can be problematic for regular
binary files).  The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files.  After the files have been sent, the unshar tool
scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

Install sharutils if you send binary files through e-mail.

%prep
%setup -q -n sharutils-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0 -b .ooption
%patch9 -p0

%build
%configure --disable-nls --without-included-gettext
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall install-man

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :              
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :             
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :       
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :      
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :       
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}
